The latest version of Hindenburg doesn't work with my Mac because I have an older operating system

Can I re-download an older version of Hindenburg?


Yes, you can download version Version 1.70 Build 2220 for legacy OS X (OS X 10.6-10-9) which will work with your Mac from the download page on our website.

The oldest currently supported version of OS X / macOS is version 10.6 (Snow Leopard).


Please do the following:

1) Uninstall Hindenburg. Drag the application to the trash.

2) Go to the download page

3) Check that the recommended version stated in the bottom right corner is "Version 1.70 Build 2220 for legacy OS X". If it is not, then click the link "Or click here to select your operating system" and select "OS X 10.6-10.9". See attached screenshot.

4) Click "Download For Mac". The program should now download.

5) Install

6) Run

7) If necessary, activate the program using your Registration Email and Registration key.

For the best experience and the latest features, we do however recommend using a modern version of macOS (version 10.13 or 10.14). Version 1.70 is still quite new, so it is pretty much up to date, but it will not be updated with new features in the future.

 

Feedback and Knowledge Base